# Organization read

`GET /Organization/{id}`

This resource defines a group of individuals or clinicians that form an organization of some kind. An organization record may consist of multiple organizations, like an umbrella healthcare organization with multiple physical locations. 

You can review, retrieve, create, update, or delete organization records. The create and update options are available for organizations within the Carequality Interoperability Network as well.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `Organization` resource with an organization record for a group of individuals or clinicians.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | Organization identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Organization/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The Organization

A grouping of people or organizations with a common purpose

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `active` | boolean | Yes | Whether the organization's record is still in active use. |
| `name` | string | Yes | A name associated with the organization. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of NPI or Other | No | Identifier for the organization that is used to identify the organization across multiple disparate systems. |
| `identifier[] (NPI).system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. Value: http://hl7.org/fhir/sid/us-npi |
| `identifier[] (NPI).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (NPI).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (NPI).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[] (NPI).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (NPI).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (NPI).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[] (NPI).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[] (NPI).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[] (NPI).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (NPI).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[] (NPI).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[] (NPI).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[] (NPI).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `identifier[] (Other).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[] (Other).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[] (Other).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[] (Other).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (Other).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[] (Other).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[] (Other).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[] (Other).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[] (Other).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[] (Other).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[] (Other).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[] (Other).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[] (Other).use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[] (Other).system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[] (Other).value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `type` | Array of object | No | The kind(s) of organization that this is. |
| `type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `telecom` | Array of object | No | A contact detail for the organization. |
| `telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `address` | Array of object | No | An address for the organization. |
| `address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `address[].district` | string | No | The name of the administrative area (county). |
| `partOf` | object | No | The organization of which this organization forms a part. Must be a resource of type `Organization`. |
| `partOf.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |

#### 86336b7d-af6c-3f75-b2f5-7437732b471d

```json
{
  "resourceType": "Organization",
  "id": "86336b7d-af6c-3f75-b2f5-7437732b471d",
  "extension": [
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-encounters-extension",
      "valueInteger": 507
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-procedures-extension",
      "valueInteger": 0
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-labs-extension",
      "valueInteger": 0
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-prescriptions-extension",
      "valueInteger": 0
    }
  ],
  "identifier": [
    {
      "system": "https://github.com/synthetichealth/synthea",
      "value": "86336b7d-af6c-3f75-b2f5-7437732b471d"
    }
  ],
  "active": true,
  "type": [
    {
      "coding": [
        {
          "code": "prov",
          "system": "http://terminology.hl7.org/CodeSystem/organization-type",
          "display": "Healthcare Provider"
        }
      ],
      "text": "Healthcare Provider"
    }
  ],
  "name": "HSHS ST CLARE MEMORIAL HOSPITAL",
  "telecom": [
    {
      "system": "phone",
      "value": "9208463444"
    }
  ],
  "address": [
    {
      "line": [
        "855 S MAIN ST"
      ],
      "city": "OCONTO FALLS",
      "state": "WI",
      "postalCode": "541541282",
      "country": "US"
    }
  ]
}
```

#### 8b124b8e-ce6a-3b8a-bf2c-b8f539a4e3ce

```json
{
  "resourceType": "Organization",
  "id": "8b124b8e-ce6a-3b8a-bf2c-b8f539a4e3ce",
  "extension": [
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-encounters-extension",
      "valueInteger": 250
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-procedures-extension",
      "valueInteger": 3592
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-labs-extension",
      "valueInteger": 1253
    },
    {
      "url": "http://synthetichealth.github.io/synthea/utilization-prescriptions-extension",
      "valueInteger": 1531
    }
  ],
  "identifier": [
    {
      "system": "https://github.com/synthetichealth/synthea",
      "value": "8b124b8e-ce6a-3b8a-bf2c-b8f539a4e3ce"
    }
  ],
  "active": true,
  "type": [
    {
      "coding": [
        {
          "code": "prov",
          "system": "http://terminology.hl7.org/CodeSystem/organization-type",
          "display": "Healthcare Provider"
        }
      ],
      "text": "Healthcare Provider"
    }
  ],
  "name": "AGELESS WELLNESS CENTER, INC",
  "telecom": [
    {
      "system": "phone",
      "value": "4144755800"
    }
  ],
  "address": [
    {
      "line": [
        "2745 W LAYTON AVE"
      ],
      "city": "MILWAUKEE",
      "state": "WI",
      "postalCode": "532212651",
      "country": "US"
    }
  ]
}
```

#### Aetna

```json
{
  "resourceType": "Organization",
  "id": "RedoxInsurerOrganizationExample",
  "active": true,
  "identifier": [
    {
      "type": {
        "text": "PayorID"
      },
      "value": "60054"
    }
  ],
  "telecom": [
    {
      "system": "phone",
      "value": "+18089541123"
    }
  ],
  "name": "Aetna",
  "address": [
    {
      "line": [
        "PO Box 14080"
      ],
      "city": "Lexington",
      "district": "Fayette",
      "state": "KY",
      "postalCode": "40512-4079",
      "country": "USA"
    }
  ]
}
```

#### Fake Pharmacy

```json
{
  "resourceType": "Organization",
  "id": "RedoxOrganizationPharmacyExample",
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
      "value": "4861304611"
    },
    {
      "system": "http://terminology.hl7.org/CodeSystem/NCPDPProviderIdentificationNumber",
      "value": "1234567"
    }
  ],
  "active": true,
  "name": "Fake Pharmacy",
  "type": [
    {
      "text": "Pharmacy",
      "coding": [
        {
          "code": "PHARM",
          "system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
          "display": "Pharmacy"
        }
      ]
    }
  ],
  "address": [
    {
      "line": [
        "123 Fake St."
      ],
      "city": "Madison",
      "district": "Dane",
      "state": "WI",
      "postalCode": "53703",
      "country": "USA"
    }
  ],
  "telecom": [
    {
      "value": "+16085556789",
      "system": "phone",
      "use": "work"
    }
  ]
}
```

#### RedoxPAPharmacyOrganizationExample

```json
{
  "resourceType": "Organization",
  "id": "RedoxPAPharmacyOrganizationExample",
  "active": true,
  "name": "Rehome Pharmacy",
  "address": [
    {
      "line": [
        "123 Fake St."
      ],
      "city": "Madison",
      "district": "Dane",
      "state": "WI",
      "postalCode": "53703",
      "country": "USA"
    }
  ]
}
```

#### RedoxPAPolicyHolderExample

```json
{
  "resourceType": "Organization",
  "id": "RedoxPAPolicyHolderExample",
  "active": true,
  "name": "General Contractors, LLC"
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
